Bug 87252

Summary: [EFL] Add run API tests as a step on the build bots
Product: WebKit Reporter: Thiago Marcos P. Santos <tmpsantos>
Component: WebKit EFLAssignee: Thiago Marcos P. Santos <tmpsantos>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, gyuyoung.kim, k.czech, lucas.de.marchi, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 87251    
Bug Blocks: 86092    
Attachments:
Description Flags
Patch
none
Patch v2
none
Patch none

Description Thiago Marcos P. Santos 2012-05-23 05:07:23 PDT
Once we get the testing functional, make it a step on EFL the bots.
Comment 1 Thiago Marcos P. Santos 2012-07-02 07:53:54 PDT
Created attachment 150421 [details]
Patch
Comment 2 Daniel Bates 2012-07-02 11:52:18 PDT
Comment on attachment 150421 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150421&action=review

> Tools/Scripts/run-efl-tests:38
> +$ENV{CTEST_OUTPUT_ON_FAILURE}="1";

Nit: Missing space characters on both sides of the equality sign (=).

> Tools/Scripts/run-efl-tests:41
> +exit exitStatus(0);

This line isn't necessary as Perl exits with exit status 0 by default.
Comment 3 Thiago Marcos P. Santos 2012-07-02 14:07:05 PDT
Created attachment 150474 [details]
Patch v2

This new version fixes the issues pointed by the review. I'm going to test tomorrow on a buildslave before asking cq just to be sure. Thanks for reviewing
Comment 4 WebKit Review Bot 2012-07-03 06:15:25 PDT
Comment on attachment 150474 [details]
Patch v2

Rejecting attachment 150474 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
s/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/BuildSlaveSupport/build.webkit.org-config/master.cfg
Hunk #1 succeeded at 490 (offset 3 lines).
Hunk #2 FAILED at 737.
Hunk #3 FAILED at 766.
2 out of 3 hunks FAILED -- saving rejects to file Tools/BuildSlaveSupport/build.webkit.org-config/master.cfg.rej
patching file Tools/Scripts/run-efl-tests

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13129478
Comment 5 Thiago Marcos P. Santos 2012-07-03 06:27:37 PDT
Created attachment 150595 [details]
Patch

Rebased.
Comment 6 WebKit Review Bot 2012-07-03 08:28:27 PDT
Comment on attachment 150595 [details]
Patch

Clearing flags on attachment: 150595

Committed r121768: <http://trac.webkit.org/changeset/121768>
Comment 7 WebKit Review Bot 2012-07-03 08:28:35 PDT
All reviewed patches have been landed.  Closing bug.